## com.bbn.openmap.layer.shape
Class SpatialIndex.Entry

    java.lang.Object
      com.bbn.openmap.layer.shape.SpatialIndex.Entry

Enclosing class:
  SpatialIndex

public static class SpatialIndex.Entry
extends java.lang.Object

Constructor Summary
`SpatialIndex.Entry(double xMin, double yMin, double xMax, double yMax, int byteOffset)`

Method Summary
`void` `addToBounds(ESRIBoundingBox bounds)`
`int` `getByteOffset()`
`boolean` `intersects(double xmin, double ymin, double xmax, double ymax)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SpatialIndex.Entry

    public SpatialIndex.Entry(double xMin,
                              double yMin,
                              double xMax,
                              double yMax,
                              int byteOffset)

Method Detail

### intersects

    public boolean intersects(double xmin,
                              double ymin,
                              double xmax,
                              double ymax)

### getByteOffset

    public int getByteOffset()

### addToBounds

    public void addToBounds(ESRIBoundingBox bounds)

Copyright (C) BBNT Solutions LLC; See http://openmap.bbn.com/ for details